UbixOS V2 2.0

Public Member Functions | Protected Member Functions | Protected Attributes
ogDisplay_VESA Class Reference

`#include <ogDisplay_VESA.h>`

Inheritance diagram for ogDisplay_VESA:
Collaboration diagram for ogDisplay_VESA:

## Public Member Functions
virtual bool | ogAlias (ogSurface &, uInt32, uInt32, uInt32, uInt32)
virtual bool | ogAvail (void)
virtual void | ogClear (uInt32)
virtual bool | ogClone (ogSurface &)
virtual void | ogCopyLineFrom (uInt32, uInt32, void *, uInt32)
virtual void | ogCopyLineTo (uInt32, uInt32, const void *, uInt32)
virtual void | ogCopyPal (ogSurface &)
virtual bool | ogCreate (uInt32, uInt32, ogPixelFmt)
| ogDisplay_VESA (void)
virtual uInt32 | ogGetPixel (int32, int32)
virtual void * | ogGetPtr (uInt32, uInt32)
virtual void | ogHLine (int32, int32, int32, uInt32)
virtual bool | ogLoadPal (const char *)
virtual void | ogSetPixel (int32, int32, uInt32)
virtual void | ogSetRGBPalette (uInt8, uInt8, uInt8, uInt8)
virtual void | ogVFlip (void)
virtual void | ogVLine (int32, int32, int32, uInt32)
virtual | ~ogDisplay_VESA (void)

## Protected Member Functions
uInt16 | findMode (uInt32, uInt32, uInt32)
void | getModeInfo (uInt16)
void | getVESAInfo (void)
virtual uInt32 | rawGetPixel (uInt32, uInt32)
virtual void | rawLine (uInt32, uInt32, uInt32, uInt32, uInt32)
virtual void | rawSetPixel (uInt32, uInt32, uInt32)
void | setMode (uInt16)
void | setPal (void)

## Protected Attributes
bool | InGraphics
TMode_Rec * | ModeRec
uInt16 | ScreenSelector
TVESA_Rec * | VESARec

## Detailed Description

Definition at line 89 of file ogDisplay_VESA.h.

## Constructor & Destructor Documentation

## ◆ ogDisplay_VESA()

ogDisplay_VESA::ogDisplay_VESA | ( | void |  | ) |

## ◆ ~ogDisplay_VESA()

virtual ogDisplay_VESA::~ogDisplay_VESA | ( | void |  | ) |
| virtual

## Member Function Documentation

## ◆ findMode()

uInt16 ogDisplay_VESA::findMode | ( | uInt32 | ,
|  | uInt32 | ,
|  | uInt32 |
| ) |  |
| protected

## ◆ getModeInfo()

void ogDisplay_VESA::getModeInfo | ( | uInt16 |  | ) |
| protected

## ◆ getVESAInfo()

void ogDisplay_VESA::getVESAInfo | ( | void |  | ) |
| protected

## ◆ ogAlias()

virtual bool ogDisplay_VESA::ogAlias | ( | ogSurface & | ,
|  | uInt32 | ,
|  | uInt32 | ,
|  | uInt32 | ,
|  | uInt32 |
| ) |  |
| virtual

## ◆ ogAvail()

virtual bool ogDisplay_VESA::ogAvail | ( | void |  | ) |
| virtual

## ◆ ogClear()

virtual void ogDisplay_VESA::ogClear | ( | uInt32 |  | ) |
| virtual

## ◆ ogClone()

virtual bool ogDisplay_VESA::ogClone | ( | ogSurface & |  | ) |
| virtual

## ◆ ogCopyLineFrom()

virtual void ogDisplay_VESA::ogCopyLineFrom | ( | uInt32 | ,
|  | uInt32 | ,
|  | void * | ,
|  | uInt32 |
| ) |  |
| virtual

## ◆ ogCopyLineTo()

virtual void ogDisplay_VESA::ogCopyLineTo | ( | uInt32 | ,
|  | uInt32 | ,
|  | const void * | ,
|  | uInt32 |
| ) |  |
| virtual

## ◆ ogCopyPal()

virtual void ogDisplay_VESA::ogCopyPal | ( | ogSurface & |  | ) |
| virtual

## ◆ ogCreate()

virtual bool ogDisplay_VESA::ogCreate | ( | uInt32 | ,
|  | uInt32 | ,
|  | ogPixelFmt |
| ) |  |
| virtual

## ◆ ogGetPixel()

virtual uInt32 ogDisplay_VESA::ogGetPixel | ( | int32 | ,
|  | int32 |
| ) |  |
| virtual

## ◆ ogGetPtr()

virtual void* ogDisplay_VESA::ogGetPtr | ( | uInt32 | ,
|  | uInt32 |
| ) |  |
| virtual

## ◆ ogHLine()

virtual void ogDisplay_VESA::ogHLine | ( | int32 | ,
|  | int32 | ,
|  | int32 | ,
|  | uInt32 |
| ) |  |
| virtual

## ◆ ogLoadPal()

virtual bool ogDisplay_VESA::ogLoadPal | ( | const char * |  | ) |
| virtual

## ◆ ogSetPixel()

virtual void ogDisplay_VESA::ogSetPixel | ( | int32 | ,
|  | int32 | ,
|  | uInt32 |
| ) |  |
| virtual

## ◆ ogSetRGBPalette()

virtual void ogDisplay_VESA::ogSetRGBPalette | ( | uInt8 | ,
|  | uInt8 | ,
|  | uInt8 | ,
|  | uInt8 |
| ) |  |
| virtual

## ◆ ogVFlip()

virtual void ogDisplay_VESA::ogVFlip | ( | void |  | ) |
| virtual

## ◆ ogVLine()

virtual void ogDisplay_VESA::ogVLine | ( | int32 | ,
|  | int32 | ,
|  | int32 | ,
|  | uInt32 |
| ) |  |
| virtual

## ◆ rawGetPixel()

virtual uInt32 ogDisplay_VESA::rawGetPixel | ( | uInt32 | ,
|  | uInt32 |
| ) |  |
| protected virtual

## ◆ rawLine()

virtual void ogDisplay_VESA::rawLine | ( | uInt32 | ,
|  | uInt32 | ,
|  | uInt32 | ,
|  | uInt32 | ,
|  | uInt32 |
| ) |  |
| protected virtual

## ◆ rawSetPixel()

virtual void ogDisplay_VESA::rawSetPixel | ( | uInt32 | ,
|  | uInt32 | ,
|  | uInt32 |
| ) |  |
| protected virtual

## ◆ setMode()

void ogDisplay_VESA::setMode | ( | uInt16 |  | ) |
| protected

## ◆ setPal()

void ogDisplay_VESA::setPal | ( | void |  | ) |
| protected

## Field Documentation

## ◆ InGraphics

bool ogDisplay_VESA::InGraphics
| protected

Definition at line 94 of file ogDisplay_VESA.h.

## ◆ ModeRec

TMode_Rec* ogDisplay_VESA::ModeRec
| protected

Definition at line 93 of file ogDisplay_VESA.h.

## ◆ ScreenSelector

uInt16 ogDisplay_VESA::ScreenSelector
| protected

Definition at line 91 of file ogDisplay_VESA.h.

## ◆ VESARec

TVESA_Rec* ogDisplay_VESA::VESARec
| protected

Definition at line 92 of file ogDisplay_VESA.h.

The documentation for this class was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/objgfx/ogDisplay_VESA.h